import React from 'react';
import FavoriteItem from './FavoriteItem.js';

const FavoriteBar = function (props) {

   return (
      <section className="favorites">
      ❤ Favorites
         { props.data.map( f => <FavoriteItem 
                                       key={f.id}
                                       photo={f}
                                       removePhotoFromFavorites={props.removePhotoFromFavorites}
                                          /> ) }            
      </section>
   );

}

export default FavoriteBar;