import React from 'react';
import './FavoriteItem.css';

const FavoriteItem = function (props) {


   const removeClick = (e) => {
      props.removePhotoFromFavorites(props.photo);
   };

   const imgURL = `http://www.randyconnolly.com/funwebdev/3rd/images/travel/square150/${props.photo.filename}`;
   return (
      <div className="item_wrapper">

            <img src={imgURL} className="photoThumb"
               title={props.photo.title}
               alt={props.photo.title} />  
  
            <div className="popover_content">
               <button className="popover_button" onClick={removeClick}>Remove</button>
            </div>    
      </div>
   )

};

export default FavoriteItem;