import { Card, Typography, Avatar } from 'antd';
import React, { useEffect, useState } from 'react';

const { Title } = Typography;

const ClientDetails = (props) => {

   const avatarUrl = `https://www.randyconnolly.com/funwebdev/3rd/images/avatars/${props.client.id}.jpg`;
   return (
      <Card title="Client Details" bordered={false} >
         
         <Avatar size={64} src={avatarUrl}  />
         <Title level={4}>{props.client.firstname + ' ' + props.client.lastname} </Title>
         <p>{props.client.city + ", " + props.client.country} <br/>
         {props.client.email}</p>
    </Card> 

   );
};

export default ClientDetails;