//import { useState } from 'react';
//import { useHistory } from "react-router-dom";
import { Layout, Typography } from 'antd';
import { blue } from '@ant-design/colors';
import { Select } from 'antd';

const { Option } = Select;
const { Header, Content } = Layout;
const { Title } = Typography;



const HomeView = props => {
  //const history = useHistory();

  const handleChange = value => {
    const client = props.clients.find( c => c.id === value);
    props.updateClient(client.id);
    //history.push("/client");
    
  }
  //const [haveData, setHaveData] = useState(false);

  //if (props.clients.length > 0) setHaveData(true);


  return (
    <Layout>

        <Header style={{backgroundColor: blue[4]}}>
          <Title level={3}>Home - React Project #3</Title>
        </Header>
        <Content style={{backgroundColor: blue[0]}}>

          <Select defaultValue="0" style={{ width: 300, margin: 16 }} onChange={handleChange} loading={props.loading} >
              <Option value="0">Choose a client</Option>
              { props.clients.map( c => <Option key={c.id} value={c.id}>{c.firstname + ' ' + c.lastname}</Option> )  }
          </Select> 
 


         
        </Content>

    </Layout>
  );
}

export default HomeView;
