<?php

include 'data.inc.php';



// check our query strings
$imgname = "images/" . $paintings[0]["filename"] . '.jpg';
if ( isset($_GET['file']) ) {
    $imgname = "images/" . $_GET['file'] . '.jpg';
}
    
// we need to tell browser that this is returning an image
header('Content-Type: image/jpg');
// create the image from a file 

$img = imagecreatefromjpeg($imgname);

// resize if requested
if (isset($_GET['width'])) {
    $width = intval($_GET['width']);
    $height=$width;
    $newimg = imagescale($img,$width,$height);
} else {
    $newimg = $img;
    $width = 500;
}

// add some text to it if requested
$fontFile = realpath('font/Lato-Medium.ttf'); 
$textColor = imagecolorallocate($img,238,238,238);
if (isset($_GET['text1'])) {
    $fontSize1 = $_GET['size1'];
    imagettftext($newimg,$fontSize1,0,50,70,$textColor,$fontFile,$_GET['text1']);
}
if (isset($_GET['text2'])) {
    $fontSize2 = $_GET['size2'];
    $y = $width - 20;
    imagettftext($newimg,$fontSize2,0,50,$y,$textColor,$fontFile,$_GET['text2']);
}

// and return it
imagejpeg($newimg);

?>