<?php

include 'includes/travel-config.inc.php';

?>

<html>
<body>

<?php

try {


    
    $db = new ContinentDB($pdo);
    $result = $db->findById('NA');
    echo '<h3>Sample Continent (id=NA)</h3>';
    echo $result['ContinentCode'] . ' ' . $result['ContinentName'] ;
    
    $result = $db->getAll();
    echo '<h3>All Continents</h3>';    
    while ($row = $result->fetch()) {   
      echo $row['ContinentCode'] . ' ' . $row['ContinentName'] . ',';      
    }    

    echo '<hr>';
    
    $db = new CountryDB($pdo);
    $result = $db->findById('GR');
    echo '<h3>Sample Country (id=GR)</h3>';
    echo $result['CountryName'] . ' ' . $result['Capital'];
    
    $result = $db->getWithImages();
    echo '<h3>Countries With Images</h3>';    
    while ($row = $result->fetch()) {   
      echo $row['ISO'] . ' ' . $row['CountryName'] . '<br>';      
    }       
    echo '<hr>';

    $db = new ImageDB($pdo);
    $result = $db->findById(16);
    echo '<h3>Sample Image (id=16)</h3>';
    echo $result['Title'] . ' ' . $result['CityCode'] ;
    
    $result = $db->findByCountry('CA');
    echo '<h3>Images For Country (CA)</h3>';    
    while ($row = $result->fetch()) {   
      echo $row['ImageID'] . ' ' . $row['Title'] . '<br>';      
    }    
    
    $result = $db->findByContinent('SA');
    echo '<h3>Images For Continent (SA)</h3>';    
    while ($row = $result->fetch()) {   
      echo $row['ImageID'] . ' ' . $row['Title'] . '<br>';      
    }       
    
    $result = $db->findLikeTitle('Berlin');
    echo '<h3>Images Like Title (Berlin)</h3>';    
    while ($row = $result->fetch()) {   
      echo $row['ImageID'] . ' ' . $row['Title'] . '<br>';      
    }    
    
    $result = $db->getAll();
    echo '<h3>All Images</h3>';    
    while ($row = $result->fetch()) {   
      echo $row['ImageID'] . ' ' . $row['Title'] . '<br>';      
    }        
    

}
catch (PDOException $e) {
   die( $e->getMessage() );
}

?>
</body>
</html>