<?php  
include 'config.inc.php';
include 'db-classes.inc.php';

try {

   $connection = DatabaseHelper::createConnection($connectionDetails);      
   $gate = new UserDB($connection);

   // calculate the bcrypt digest using cost = 12
   $digestBcrypt = password_hash($_POST['password'], PASSWORD_BCRYPT, ['cost' => 12]);

   // also let's show how you would do the same with salt + SHA256 approach
   $salt = random_bytes(32);
   $extendedPassword = $_POST['pass'] . $salt;
   $digestSHA256 = hash("sha256", $extendedPassword );      

   // save the data
   $gate->insert($_POST['email'],$_POST['first'],$_POST['last'],$_POST['city'],$_POST['country'],$digestBcrypt,$salt,$digestSHA256);

   header("Location: login-form-bcrypt.php");
   exit();

} catch (Exception $e) { die( $e->getMessage() ); }

                  
?>