<?php include 'data.inc.php'; ?>
<?php include 'functions.inc.php'; ?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">    
    <title>Chapter 7</title>
      
    <link href='http://fonts.googleapis.com/css?family=Lobster' rel='stylesheet' type='text/css'>
    <link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>


    <link rel="stylesheet" href="css/bootstrap.min.css" />
    <link rel="stylesheet" href="css/bootstrap-theme.css" />

</head>

<body>

    <?php include 'header.inc.php'; ?>

    <!-- Page Content -->
    <main class="container">
        <div class="row">
            <?php include 'left.inc.php'; ?>
            <div class="col-md-10">

                <div class="jumbotron" id="postJumbo">
                    <h1>Posts</h1>
                    <p>Read other travellers' posts ... or create your own.</p>
                    <p><a class="btn btn-warning btn-lg">Learn more &raquo;</a></p>
                </div>        
      
                <!-- start post summaries -->
                <div class="postlist">

                    <!-- replace each of these rows with a function call -->
                    <?php    
                    foreach ($posts as $p)   {
                        outputPostRow($p); 
                    }      
                    ?>

                </div>  <!-- end post list -->
            </div>  <!-- end col-mid-10 -->
        </div>  <!-- end row -->
    </main>
    
</body>

</html>